Alerts
Create a signed webhook alert policy
POST
/
api
/
v1
/
endpoints
/
{name}
/
alerts
Create a signed webhook alert policy
curl --request POST \
--url http://127.0.0.1:18000/api/v1/endpoints/{name}/alerts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"secret_reference_id": "<string>",
"webhook_url": "<string>",
"enabled": true,
"max_attempts": 3
}
'import requests
url = "http://127.0.0.1:18000/api/v1/endpoints/{name}/alerts"
payload = {
"name": "<string>",
"secret_reference_id": "<string>",
"webhook_url": "<string>",
"enabled": True,
"max_attempts": 3
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
secret_reference_id: '<string>',
webhook_url: '<string>',
enabled: true,
max_attempts: 3
})
};
fetch('http://127.0.0.1:18000/api/v1/endpoints/{name}/alerts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://127.0.0.1:18000/api/v1/endpoints/{name}/alerts"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"secret_reference_id\": \"<string>\",\n \"webhook_url\": \"<string>\",\n \"enabled\": true,\n \"max_attempts\": 3\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{}{
"error": {
"code": "<string>",
"message": "<string>",
"category": "<string>",
"remediation": "<string>",
"request_id": "<string>",
"retryable": true
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Minimum string length:
1Body
application/json
Response
Created
The response is of type object.
⌘I
Create a signed webhook alert policy
curl --request POST \
--url http://127.0.0.1:18000/api/v1/endpoints/{name}/alerts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"secret_reference_id": "<string>",
"webhook_url": "<string>",
"enabled": true,
"max_attempts": 3
}
'import requests
url = "http://127.0.0.1:18000/api/v1/endpoints/{name}/alerts"
payload = {
"name": "<string>",
"secret_reference_id": "<string>",
"webhook_url": "<string>",
"enabled": True,
"max_attempts": 3
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
secret_reference_id: '<string>',
webhook_url: '<string>',
enabled: true,
max_attempts: 3
})
};
fetch('http://127.0.0.1:18000/api/v1/endpoints/{name}/alerts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://127.0.0.1:18000/api/v1/endpoints/{name}/alerts"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"secret_reference_id\": \"<string>\",\n \"webhook_url\": \"<string>\",\n \"enabled\": true,\n \"max_attempts\": 3\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{}{
"error": {
"code": "<string>",
"message": "<string>",
"category": "<string>",
"remediation": "<string>",
"request_id": "<string>",
"retryable": true
}
}